<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__scps__char__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_scps_char_value_t</compoundname>
    <includes local="no">cy_ble_scps.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__scps__char__value__t_1af0214596a05303b05e3ed46803dd90c7" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_scps_char_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" bodystart="87" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" line="87" />
      </memberdef>
      <memberdef id="structcy__stc__ble__scps__char__value__t_1a509b0a713f8e622239d9ffe7d39bc69f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___s_c_p_s__definitions_1ga68a5074a32bd9af7336e5ce28b42eef6">cy_en_ble_scps_char_index_t</ref></type>
        <definition>cy_en_ble_scps_char_index_t cy_stc_ble_scps_char_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" bodystart="88" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" line="88" />
      </memberdef>
      <memberdef id="structcy__stc__ble__scps__char__value__t_1a3262770d4c5d47ad54d27081cccb90c0" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_scps_char_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" bodystart="89" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" line="89" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Scan Parameters Service Characteristic Value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1183">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="1181">
        <label>cy_stc_ble_scps_char_value_t</label>
        <link refid="structcy__stc__ble__scps__char__value__t" />
        <childnode refid="1182" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="1183" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="1182">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
    </collaborationgraph>
    <location bodyend="90" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" bodystart="85" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" line="86" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__scps__char__value__t_1a509b0a713f8e622239d9ffe7d39bc69f" virt="non-virtual"><scope>cy_stc_ble_scps_char_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__scps__char__value__t_1af0214596a05303b05e3ed46803dd90c7" virt="non-virtual"><scope>cy_stc_ble_scps_char_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__scps__char__value__t_1a3262770d4c5d47ad54d27081cccb90c0" virt="non-virtual"><scope>cy_stc_ble_scps_char_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>